import greenfoot.*; // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.*;
import java.awt.Container;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.event.*;

/**
 * Write a description of class mouseListener here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class mouseListener extends Actor
{
    int explodeX, explodeY;
    int showing = 1;
    boolean hasToEdit = false;

    public mouseListener()
    {
        getImage().setTransparency(0);
    }

    /**
     * Act - do whatever the mouseListener wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        try
        {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            if(Greenfoot.mouseClicked(null))
            {
                ((myWorld) getWorld()).clicks++;

                explodeX = mouse.getX();
                explodeY = mouse.getY();

                getWorld().addObject(new Explosion(), explodeX, explodeY);
            }

            String key = Greenfoot.getKey();
            if(key == "space")
                editState();
        }
        catch(NullPointerException ex)
        {
            System.out.println("Unexpected Error! See 'mouseListener'");
        }
    }    

    public void editState()
    {
        JButton button1 = new JButton("new Circle");
        JButton button2 = new JButton("new Square");
        JButton button3 = new JButton("new Rectangle");
        
        button1.addActionListener(new ListenerOne());
        button2.addActionListener(new ListenerTwo());
        button3.addActionListener(new ListenerThree());
        
        JFrame f = new JFrame("Shape++ 2.0");
        f.setSize(400, 70);
        Container content = f.getContentPane();
        content.setBackground(Color.GRAY);
        content.setLayout(new FlowLayout());

        content.add(button1);
        content.add(button2);
        content.add(button3);
        f.dispose();
        f.show();
    }
}
