import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Ball here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Ball extends Interactable
{
    GreenfootImage image = new GreenfootImage(20,20);
    int mass, size, type;
    int x,y;
    float xs,ys;
    boolean canboom = false;
    boolean justHit = false;
    boolean remove = false;

    public Ball(int size, int type)
    {
        this.size = size;
        this.type = type;

        /**
         * type 1 = red
         * type 2 = blue
         */
        if(type == 1)
            image.setColor(Color.RED);
        if(type == 2)
            image.setColor(Color.BLUE);

        image.scale(size, size);
        image.fillOval(0, 0, size, size);

        image.setColor(Color.BLACK);
        image.drawOval(0, 0, size-1, size);

        if(type == 1)
            image.setColor(new Color(255,55,55));
        if(type == 2)
            image.setColor(new Color(55,55,255));

        image.fillOval(image.getWidth()-20, 20, size/3, size/3);

        setImage(image);

        mass = size * size;
    }
    


    /**
     * Act - do whatever the Ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setRotation(getRotation()+(int)xs);

        if(((myWorld) getWorld()).onGround(x-image.getWidth()/2+1, y))
            x++;
        if(((myWorld) getWorld()).onGround(x+image.getWidth()/2-1, y))
            x--;
        if(((myWorld) getWorld()).onGround(x, y+image.getHeight()/2-1))
            y--;
        if(((myWorld) getWorld()).onGround(x, y-image.getHeight()/2+1))
            y++;
        if(!((myWorld) getWorld()).onGround(x-image.getWidth()/2, y) && !((myWorld) getWorld()).onGround(x+image.getWidth()/2, y))
        {
            justHit = true;
            if(xs > 0)
                xs -= 0.03;
            if(xs < 0)
                xs += 0.03;
        }
        else if(justHit)
        {
            justHit = false;
            xs = 0;
        }

        if(!((myWorld) getWorld()).onGround(x, y+image.getHeight()/2))
        {
            canboom = false;

            if(ys <= 0)
                ys += 0.2;
            if(ys > 0)
                ys += 0.2;
        }
        else if(!canboom)
        {
            canboom = true;
            ys = 0;
        }
        x += xs;
        y += ys;

        setLocation(x, y);

        exit();

        if(remove)
        {
            if(this.type==1)
                ((myWorld) getWorld()).type_one--;
            if(this.type==2)
                ((myWorld) getWorld()).type_two--;

            getWorld().removeObject(this);
            return;
        }
    }    

    public void exit()
    {
        Goal goal = (Goal) getOneIntersectingObject(Goal.class);
        if(goal != null && goal.type == this.type && getImage().getTransparency()>0)
        {
            getImage().setTransparency(getImage().getTransparency()-5);
        }
        if(goal == null)
        {
            getImage().setTransparency(255);
        }
        if(goal != null && goal.type == this.type && getImage().getTransparency()<=0)
        {
            remove = true;
        }
    }

    protected void addedToWorld(World world)
    {
        x = getX();
        y = getY();

        if(type==1)
            ((myWorld) getWorld()).type_one++;
        if(type==2)
            ((myWorld) getWorld()).type_two++;
    }
}
